Loading...
Searching...
No Matches
irr::scene::SVertexTCoordsScaleManipulator Class Reference

Vertex manipulator which scales the TCoords of the vertex. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexTCoordsScaleManipulator:

## Public Member Functions

| SVertexTCoordsScaleManipulator (const core::vector2df &factor, u32 uvSet=1)
void | operator() (video::S3DVertex2TCoords &vertex) const
template<typename VType>
void | operator() (VType &vertex) const

## Detailed Description

Vertex manipulator which scales the TCoords of the vertex.

Definition at line 266 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

## SVertexTCoordsScaleManipulator()

irr::scene::SVertexTCoordsScaleManipulator::SVertexTCoordsScaleManipulator | ( | const core::vector2df & | factor,
|  | u32 | uvSet = 1 )

inline

Definition at line 269 of file SVertexManipulator.h.

## Member Function Documentation

## operator()() [1/2]

void irr::scene::SVertexTCoordsScaleManipulator::operator() | ( | video::S3DVertex2TCoords & | vertex | ) | const

inline

Definition at line 270 of file SVertexManipulator.h.

References irr::video::S3DVertex::TCoords, and irr::video::S3DVertex2TCoords::TCoords2.

## operator()() [2/2]

template<typename VType>

void irr::scene::SVertexTCoordsScaleManipulator::operator() | ( | VType & | vertex | ) | const

inline

Definition at line 278 of file SVertexManipulator.h.

The documentation for this class was generated from the following file:

- SVertexManipulator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0